Fix for checking dependencies of a LEGO module